Module java.transaction
Package javax.transaction

## Class TransactionRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - javax.transaction.TransactionRequiredException

- All Implemented Interfaces:
    `Serializable`

      public class TransactionRequiredException
      extends RemoteException

  This exception indicates that a request carried a null transaction context, but the target object requires an activate transaction.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionRequiredException​()` | Constructs a `TransactionRequiredException`.
    `TransactionRequiredException​(String msg)` | Constructs a `TransactionRequiredException`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### TransactionRequiredException

          public TransactionRequiredException​()

      Constructs a `TransactionRequiredException`.

    - #### TransactionRequiredException

          public TransactionRequiredException​(String msg)

      Constructs a `TransactionRequiredException`.
      Parameters:
        `msg` - the detail message